Summary:	xgc application - X graphics demo
Summary(pl.UTF-8):	Aplikacja xgc - program demonstracyjny grafiki X
Name:		xorg-app-xgc
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/app/xgc-%{version}.tar.bz2
# Source0-md5:	025a3717040232ad49b1dd027884f182
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xgc application is an X11 graphics demo that shows various features
of the X11 core protocol graphics primitives.

%description -l pl.UTF-8
Aplikacja xgc to program demonstracyjny grafiki X11, pokazujący różne
cechy prymitywów graficznych podstawowego protokołu X11.

%prep
%setup -q -n xgc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Bugs COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xgc
%{_datadir}/X11/app-defaults/Xgc
%{_datadir}/X11/app-defaults/Xgc-color
%{_mandir}/man1/xgc.1*
%changelog
* Tue Apr 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xgc.git;a=log;h=master

* Mon Apr 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 3ec38d1
- updated to 1.0.5

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 32bdfee
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0b31d54
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> c9753f9
- updated to 1.0.3

* Wed Nov 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 7ee8478
- updated to 1.0.2
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bd45f32
- rel 4

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e893fad
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e20372e
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b49dfa
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2e568f1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 69e0792
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> bcbb7fe
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 569c910
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 36a65fb
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 6df41d4
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> e15c4ab
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 40593cd
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> f8b2355
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 97b3776
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 9367dd9
- cleanups, kill /usr/X11R6

